using System;
using System.Net;
using System.Text;
using System.Web;
using System.Web.Services;
using TopWinCMS.BLL;
using TopWinCMS.GatherEngine;
using TopWinCMS.Model;

namespace TopWinCMS.WebUI.Admin.ArticleGather
{
    /// <summary>
    ///  的摘要说明
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class GatherClass : IHttpHandler
    {



        public void ProcessRequest(HttpContext context)
        {
            context.Response.Expires = 0;
            context.Response.CacheControl = "no-cache";
            context.Response.ContentType = "text/xml";


            string xml = AppMain.GatherClassPage(context.Request["NextClassUrl"], int.Parse(context.Request["ID"]), bool.Parse(context.Request["Reverse"]));

            context.Response.Write(xml.ToString());
        }

   


        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
